#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
#endif

void main() {  
    float speed = -(cos(180.0 * CC_Time[2]/150.0) - 1.0)/8.0;
	vec2 vector = vec2(0.0,0.0);
	if(v_texCoord.y >=0.0 && v_texCoord.y < 0.5)
	{
		vector.x = 1.0;
		vector.y = 0.0;
	}else
	{
		vector.x = 1.0;
		vector.y = 1.0;
	}
	vector.x = vector.x * speed/10.0;
	vector.y = vector.y * speed/10.0;
    vec2 normal = vec2((0.5-v_texCoord.x)*vector.x,(0.5-v_texCoord.y)*vector.y);
    vec2 v_texCoordN = v_texCoord;
    v_texCoordN += normal.xy;
    gl_FragColor = texture2D(CC_Texture0, v_texCoordN);
}  